/************************************************************
 * libdconf is (C) CopyRight PTlink IRC Software 1999-2005  *
 *                 http://software.pt-link.net              *
 * This program is distributed under GNU Public License     *
 * Please read the file COPYING for copyright information.  *
 ************************************************************

  Description: log code for dconf parsing library
  
 *  $Id: log.c,v 1.1.1.1 2005/08/27 15:45:07 jpinto Exp $ 
*/

#include "stdinc.h"
#include "dconf.h"

static int dconflogfd = -1; /* log fd */
#define MAX_DATE_STRING 64

/* internal functions */
void dconf_log(const char* fmt, ...);

static char* smalldate(time_t clockt)
{ 
  static  char    buf[MAX_DATE_STRING];
  struct  tm *lt, *gm;
  struct  tm      gmbuf;

  if (!clockt)
    time(&clockt);
  gm = gmtime(&clockt);
  memcpy((void *)&gmbuf, (void *)gm, sizeof(gmbuf));
  gm = &gmbuf;
  lt = localtime(&clockt);

  sprintf(buf, "[%d/%.2d/%.2d %.2d:%.2d.%.2d] ",
             lt->tm_year + 1900, lt->tm_mon + 1, lt->tm_mday,
             lt->tm_hour, lt->tm_min, lt->tm_sec);

  return buf;
}


void dconf_log(const char* fmt, ...)
{
  char    buf[512];
  va_list args;  
  const char *nowt = smalldate(time(NULL));
  
  if(dconflogfd==-1) /* log disabled */
    return ;

  va_start(args, fmt);
  vsnprintf(buf, sizeof(buf) - 1, fmt, args); 
  va_end(args);
  write(dconflogfd, nowt, strlen(nowt));
  strcat(buf,"\n");
  write(dconflogfd, buf, strlen(buf));
}

int dconf_init(int logfd)
{
  dconflogfd = logfd;

  return dconflogfd;
}
