++++ os_hostrule.l
++++ en_us: Lamego, Stinger
++++ nl: Stinger, Ldp
++++ pt_br: openglx, Ricardo
++++ de: jo

+HOSTRULE_SUMMARY(en_us)
Manages host rules list.
+HOSTRULE_SUMMARY(pt)
Gera a lista de regras para hosts
+HOSTRULE_SUMMARY(nl)
Management van hostregellijst
+HOSTRULE_SUMMARY(pt_br)
Gerencia a lista de regras para hosts
+HOSTRULE_SUMMARY(de)
Verwaltet die Regelliste fr den Host.
+++++++++++++++++++++++++++++++++++++++++++
+HOSTRULE_HELP(en_us)
Manages host rules list:
Syntax:
  // HOSTRULE ADD rule_type hostmask [+parameter] message 
  // HOSTRULE LIST rule_type hostmask
  // HOSTRULE DEL rule_type id

Available rule types:
  MESSAGE - Send a private message (parameter: time [d|M|Y])
  NOTICE - Send a notice (parameter: time [d|M|Y])
  AGLINE - Add a gline on user's host (parameter: time [d|M|Y])
  BOT - User will get +B (bot) (parameter: max connections for host)
  ZOMBIE - Sets zombie on users (parameter: time [d|M|Y])
  
Examples:
  // HOSTRULE ADD MESSAGE * Welcome to our network, enjoy it.
  // HOSTRULE ADD NOTICE *.br +100d Please do not use colors!
+HOSTRULE_HELP(pt)  
Gere a lista de regras para hosts:
Sintaxe:
  // HOSTRULE ADD tipo_regra host_mscara [+parmetro] mensagem
  // HOSTRULE LIST tipo_rerga host_mscara
  // HOSTRULE DEL tipo_regra id

Tipos de regras disponveis:
  MESSAGE - Envia uma mensagem privada ao usurio (parmetro: tempo [d|M|Y])
  NOTICE - Envia um notice ao usurio (parmetro: tempo [d|M|Y])
  AGLINE - Adiciona uma gline ao endereo do usurio (parmetro: tempo [d|M|Y])
  BOT - Usurio receber o modo +B (bot) (parmetro: mximo de conexes para o host)
  ZOMBIE - Coloca zombie nos usurios (+z) (parmetro: tempo [d|M|Y])
  
Exemplo:
  // HOSTRULE ADD MESSAGE * Bem-vindos  nossa rede, sintam-se em casa.
  // HOSTRULE ADD NOTICE *.br +100d Brasileiros, por favor no usem cores.
+HOSTRULE_HELP(nl)
Management van hostregellijst:
Syntax:
  // HOSTRULE ADD ROLTYPE hostmask [+parameter] bericht
  // HOSTRULE LIST ROLTYPE hostmask
  // HOSTRULE DEL ID
  
Beschikbare regel typen:
  MESSAGE - Stuurt een privebericht (parameter: [d|M|Y])
  NOTICE - Stuurt een notice (parameter: tijd [d|M|Y])
  AGLINE - Zet een gline op de host van de gebruiker (parameter: tijd [d|M|Y])
  BOT - Gebruiker krijgt mode +B (bot) (parameter: max aantal connecties voor een host)
  ZOMBIE - Zet zombie-mode op gebruikers (parameter: tijd [d|M|Y])
  
Voorbeelden:
// HOSTRULE ADD MESSAGE * Welkom op dit netwerk, veel plezier.
// HOSTRULE ADD NOTICE *.br +100d Brazilian users, please do not use colors 
+HOSTRULE_HELP(pt_br)
Gerencia a lista de regras para hosts:
Sintaxe:
  // HOSTRULE ADD tipo_regra host_mscara [+parmetro] mensagem
  // HOSTRULE LIST tipo_rerga host_mscara
  // HOSTRULE DEL tipo_regra id

Tipos de regras disponveis:
  MESSAGE - Envia uma mensagem privada ao usurio (parmetro: tempo [d|M|Y])
  NOTICE - Envia um notice ao usurio (parmetro: tempo [d|M|Y])
  AGLINE - Adiciona uma gline ao endereo do usurio (parmetro: tempo [d|M|Y])
  BOT - Usurio receber o modo +B (bot) (parmetro: mximo de conexes para o host)
  ZOMBIE - Coloca zombie nos usurios (+z) (parmetro: tempo [d|M|Y])
  
Exemplo:
  // HOSTRULE ADD MESSAGE * Bem-vindos  nossa rede, sintam-se em casa.
  // HOSTRULE ADD NOTICE *.br +100d Brasileiros, por favor no usem cores.+HOSTRULE_HELP(pt_br)

+HOSTRULE_HELP(de)
Verwaltet die Regelliste fr den Host.
Syntax:
  // HOSTRULE ADD Regeltyp Hostmaske [+Parameter] Nachricht
  // HOSTRULE LIST Regeltyp Hostmaske
  // HOSTRULE DEL Regeltyp ID

Mgliche Regeltypen:
  MESSAGE - Sendet ein private Nachrichte (Parameter: Zeit [d|M|Y])
  NOTICE - Sendet eine Notiz (Parameter: Zeit [d|M|Y])
  AGLINE - Fgt fr den Host des Benutzers eine gline hinzu (Parameter: Zeit [d|M|Y])
  BOT - Benutzer erhlt +B (Bot) (Parameter: max. Verbindungen fr den Host)
  ZOMBIE - Setzt Benutzer auf 'ZOMBIE' (Parameter: Zeit [d|M|Y])
  
Beispiele:
  // HOSTRULE ADD MESSAGE * Willkommen auf unserem Netz. Viel Spass.
  // HOSTRULE ADD NOTICE *.de +100d Bitte keine Fraben verwenden!
++++++++++++++++++++++++++++++++++++++++++++
+HOSTRULE_SYNTAX(en_us)
Hostrule command syntax:
  // HOSTRULE ADD rule_type hostmask [+parameter] message
  // HOSTRULE LIST rule_type hostmask
  // HOSTRULE DEL rule_type ID
+HOSTRULE_SYNTAX(pt)
Sintaxe para o comando Hostrule:
  // HOSTRULE ADD tipo_regra host_mscara [+parametro] mensagem
  // HOSTRULE LIST tipo_regra host_mscara
  // HOSTRULE DEL tipo_rgra id  
+HOSTRULE_SYNTAX(nl)
Hostrule commando syntax:
  // HOSTRULE ADD ROLETYPE hostmask [+parameter] bericht
  // HOSTRULE LIST ROLETYPE hostmask
  // HOSTRULE DEL ID
+HOSTRULE_SYNTAX(pt_br)
Sintaxe para o comando Hostrule:
  // HOSTRULE ADD tipo_regra host_mscara [+parametro] mensagem
  // HOSTRULE LIST tipo_regra host_mscara
  // HOSTRULE DEL tipo_rgra id
+HOSTRULE_SYNTAX(de)
Syntax:
  // HOSTRULE ADD Regeltyp Hostmaske [+Parameter] Nachricht
  // HOSTRULE LIST Regeltyp Hostmaske
  // HOSTRULE DEL Regeltyp ID
++++++++++++++++++++++++++++++++++++++++++++  
+HOSTRULE_ADD_SYNTAX(en_us)
  Hostrule ADD syntax:
  // HOSTRULE ADD ROLETYPE hostmask message
+HOSTRULE_ADD_SYNTAX(pt)
  Sintaxe para Hostrule ADD:
  // HOSTRULE ADD ROLETYPE hostmask mensagem
+HOSTRULE_ADD_SYNTAX(nl)
  Hostrule ADD syntax:
  // HOSTRULE ADD ROLETYPE hostmask bericht
+HOSTRULE_ADD_SYNTAX(pt_br)
  Sintaxe para Hostrule ADD:
  // HOSTRULE ADD ROLETYPE hostmask mensagem
+HOSTRULE_ADD_SYNTAX(de)
Syntax:
  // HOSTRULE ADD Regeltyp Hostmaske [+Parameter] Nachricht
++++++++++++++++++++++++++++++++++++++++++++  
+HOSTRULE_DEL_SYNTAX(en_us)
  // HOSTRULE DEL ROLETYPE ID
+HOSTRULE_DEL_SYNTAX(nl)
  // HOSTRULE DEL ROLETYPE ID
+HOSTRULE_DEL_SYNTAX(pt_br)
  // HOSTRULE DEL ROLETYPE ID
+HOSTRULE_DEL_SYNTAX(de)
  // HOSTRULE DEL Regeltyp ID
++++++++++++++++++++++++++++++++++++++++++++
+INVALID_RULE_TYPE(en_us)
Invalid rule type!
Availabe rule types are:
  MESSAGE - Send a private message
  NOTICE - Send a notice
  AGLINE - Add a gline on user's host
  BOT - Set +B on users from host, allow more connections per host
  ZOMBIE - Sets zombie on users
+INVALID_RULE_TYPE(nl)
Ongeldige rol type!
Beschikbare roltypen zijn:
  MESSAGE - Stuurt een privebericht
  NOTICE - Stuurt een notice
  AGLINE - Zet een gline op de host van de gebruiker
  BOT - Zet +B op een gebruiker om meer connecties van de host toe te laten
  ZOMBIE - Zet een gebruiker in zombiemode
+INVALID_RULE_TYPE(pt_br)
Tipo de regra invlido!
Os tipos de regra disponveis so:
  MESSAGE - Envia uma mensagem privada
  NOTICE - Envia um notice
  AGLINE - Adiciona uma gline ao endereo do usurio
  BOT - Coloca +B nos usurios, permitindo mais conexes por host
  ZOMBIE - Coloca zombie nos usurios
+INVALID_RULE_TYPE(de)
Ungltiger Regeltyp!
Mgliche Regeltypen:
  MESSAGE - Sendet ein private Nachrichte (Parameter: Zeit [d|M|Y])
  NOTICE - Sendet eine Notiz (Parameter: Zeit [d|M|Y])
  AGLINE - Fgt fr den Host des Benutzers eine gline hinzu (Parameter: Zeit [d|M|Y])
  BOT - Benutzer erhlt +B (Bot) (Parameter: max. Verbindungen fr den Host)
  ZOMBIE - Setzt Benutzer auf 'ZOMBIE' (Parameter: Zeit [d|M|Y])
++++++++++++++++++++++++++++++++++++++++++++  
+RULE_ADDED(en_us)
New \B%s\B rule was added with id \B%d\B.
+RULE_ADDED(nl)
Nieuwe \B%s\B regel toegevoegd met id \B%d\B.
+RULE_ADDED(pt_br)
Nova regra \B%s\B foi adicionada com id \B%d\B.
+RULE_ADDED(de)
Eine neue \B%s\B Regel wurde mit der ID \B%d\B hinzugefgt.
++++++++++++++++++++++++++++++++++++++++++++
+RULE_NOT_FOUND(en_us)
\B%s\B rule with id \B%d\B not found!
+RULE_NOT_FOUND(nl)
\B%s\B regel met id \B%d\B niet gevonden!
+RULE_NOT_FOUND(pt_br)
Regra \B%s\B com id \B%d\B no foi encontrada!
+RULE_NOT_FOUND(de)
\B%s\B Regel mit der ID \B%d\B nicht gefunden!
++++++++++++++++++++++++++++++++++++++++++++
+RULE_LIST_HEADER(en_us)
--- Host rules list for \B%s\B --
+RULE_LIST_HEADER(nl)
--- Hostregellijst voor \B%s\B --
+RULE_LIST_HEADER(pt_br)
--- Lista de regras de Host para \B%s\B --
+RULE_LIST_HEADER(de)
--- Hostregeliste fr \B%s\B --
++++++++++++++++++++++++++++++++++++++++++++
+RULE_X(en_us)
\B%d\B (%s) [%s]: %s
+RULE_X(nl)
\B%d\B (%s) [%s]: %s
+RULE_X(pt_br)
\B%d\B (%s) [%s]: %s
+RULE_X(de)
\B%d\B (%s) [%s]: %s
++++++++++++++++++++++++++++++++++++++++++++
+RULE_X_PARAM(en_us)
\B%d\B (%s) [%d]: %s
+RULE_X_PARAM(nl)
\B%d\B (%s) [%d]: %s
+RULE_X_PARAM(pt_br)
\B%d\B (%s) [%d]: %s
+RULE_X_PARAM(de)
\B%d\B (%s) [%d]: %s
++++++++++++++++++++++++++++++++++++++++++++
+RULE_LIST_TAIL(en_us)
--- End of host rules list --
+RULE_LIST_TAIL(nl)
--- Eind van hostregellijst --
+RULE_LIST_TAIL(pt_br)
--- Fim da lista de regras de host --
+RULE_LIST_TAIL(de)
--- Ende der Hostregelliste ---
++++++++++++++++++++++++++++++++++++++++++++
+RULE_X_X_DELETED(en_us)
%s \B%d\B was deleted!
+RULE_X_X_DELETED(nl)
%s \B%d\B is verwijderd!
+RULE_X_X_DELETED(pt_br)
%s \B%d\B foi apagada!
+RULE_X_X_DELETED(de)
%s \B%d\B wurde gelscht!
++++++++++++++++++++++++++++++++++++++++++++
+HOSTRULE_MANDATORY_PARAM(en_us)
Please give a parameter value, it is mandatory for that rule type !
+HOSTRULE_MANDATORY_PARAM(nl)
Geef een parameterwaarde op, dit is verplicht voor dit roltype !
+HOSTRULE_MANDATORY_PARAM(pt_br)
Por favor, fornea um valor para os parmetros,
isso  obrigatrio para este tipo de regra!
+HOSTRULE_MANDATORY_PARAM(de)
Bitte gib einen Parameterwert an. Fr diesen Regeltyp ist das Pflicht!
