/**********************************************************************
 * PTlink IRC Services is (C) CopyRight PTlink IRC Software 1999-2005 *
 *                     http://software.pt-link.net                    *
 * This program is distributed under GNU Public License               *
 * Please read the file COPYING for copyright information.            *
 **********************************************************************  

  Description: operserv global command
                                                                                
 *  $Id: os_global.c,v 1.1.1.1 2005/08/27 15:44:26 jpinto Exp $
*/
#include "stdinc.h"
#include "ircservice.h"
#include "suser.h"
#include "dconf.h"
#include "s_log.h"
#include "lang.h"
#include "modules.h"
#include "ircsvs.h"
#include "strhand.h"
#include "lang/os_global.lh"

SVS_Module mod_info =
/* module, version, description */
{ "os_global", "1.1", "operserv global/globalmsg command" };

/* Change Log
  1.1 - 0000285: os_globalmsg to send global with private message
*/
  
/* external functions we need */
ServiceUser* (*operserv_suser)(void);
 
Module_Function mod_requires[] =
{
  MOD_FUNC(operserv_suser)
  { NULL }
};

/* internal functions */
int mod_load(char *param);
void mod_unload(void);
       
/* available commands from module */
void os_global(IRC_User *s, IRC_User *u);
void os_globalmsg(IRC_User *s, IRC_User *u);

ServiceUser *osu;

int mod_load(char *param)
{
  osu = operserv_suser();
  suser_add_cmd(osu, "GLOBAL", os_global, GLOBAL_SUMMARY, GLOBAL_HELP);  
  suser_add_cmd(osu, "GLOBALMSG", os_globalmsg, GLOBALMSG_SUMMARY, GLOBALMSG_HELP);    
  return 0;
}

void mod_unload(void)
{
  suser_del_mod_cmds(osu, &mod_info);
}
 
/* s = service the command was sent to
   u = user the command was sent from */
void os_global(IRC_User *s, IRC_User *u)
{
  char *hostmask = strtok(NULL, " ");  
  char *msg = strtok(NULL, "");

  
  if(IsNull(hostmask) || *hostmask=='\0' || IsNull(msg)|| *msg=='\0')
      send_lang(u, s, GLOBAL_SYNTAX);      
  else 
      irc_GlobalNotice(s, hostmask, "%s", msg);
}

/* s = service the command was sent to
   u = user the command was sent from */
void os_globalmsg(IRC_User *s, IRC_User *u)
{
  char *hostmask = strtok(NULL, " ");  
  char *msg = strtok(NULL, "");

  
  if(IsNull(hostmask) || *hostmask=='\0' || IsNull(msg)|| *msg=='\0')
      send_lang(u, s, GLOBAL_SYNTAX);      
  else 
      irc_GlobalMessage(s, hostmask, "%s", msg);
}
const int MVERSION = MODULES_VERSION;
