/*****************************************************************
 * PTlink Services is (C) CopyRight PTlink IRC Software 1999-2004 *
 *                http://software.pt-link.net                     *
 * This program is distributed under GNU Public License          *
 * Please read the file COPYING for copyright information.       *
 *****************************************************************
                                                                                
  File: os_help.c
  Description: operserv help command
                                                                                
 *  $Id: os_help.c,v 1.1.1.1 2005/08/27 15:44:30 jpinto Exp $
*/
#include "stdinc.h"
#include "ircservice.h"
#include "suser.h"
#include "dconf.h"
#include "s_log.h"
#include "lang.h"
#include "modules.h"
#include "strhand.h"
#include "ircsvs.h"
#include "encrypt.h"
#include "lang/help.lh"

SVS_Module mod_info =
/* module, version, description */
{ "os_help", "1.0", "operserv help command" };

/* external functions we need */
ServiceUser* (*operserv_suser)(void);

Module_Function mod_requires[] =
{
  { "operserv_suser", &operserv_suser },
  { NULL }
};

/* internal functions */
void os_help(IRC_User *s, IRC_User *u);
int mod_load(char *param);
void mod_unload(void);


ServiceUser *osu;

int mod_load(char *param)
{
  osu = operserv_suser();
  suser_add_cmd(osu, "HELP", (void*) os_help, HELP_SUMMARY, HELP_HELP);  
  return 0;
}

void mod_unload(void)
{
  suser_del_mod_cmds(osu, &mod_info);
}
 
/* s = service the command was sent to
   u = user the command was sent from */
void os_help(IRC_User *s, IRC_User *u)
{
  char *cmd = strtok(NULL, " ");  
  Suser_cmd *c;
  
  c = osu->cmds;  
  if(IsNull(cmd) || *cmd=='\0')
    {
      send_lang(u, s, HELP_LIST);      
      while(c)
        {
          if(c->summary)
            irc_SendNotice(u, s,"%-15s %s", c->cmd, c->summary[u->lang]);
          c = c->next;
        }
      send_lang(u, s, HELP_END_OF_LIST);
    }
  else /* help for a specific item */
    {
      while(c)
        {
          if(c->help && (strcasecmp(c->cmd, cmd) == 0))
            {
              send_lang(u, s, c->help);              
              return ;
            }
           c = c->next;           
        }
      send_lang(u, s, NO_HELP_FOR_COMMAND_X, cmd);
    }
}
const int MVERSION = MODULES_VERSION;
