/*****************************************************************
 * PTlink Services is (C) CopyRight PTlink IRC Software 1999-2004 *
 *                http://software.pt-link.net                     *
 * This program is distributed under GNU Public License          *
 * Please read the file COPYING for copyright information.       *
 *****************************************************************
     
  File: hostrules.h
  Description: hostrules header file
   
 *  $Id: os_hostrule.h,v 1.1.1.1 2005/08/27 15:44:33 jpinto Exp $
*/

#ifndef _HOST_RULES_H_
#define _HOST_RULES_H_


typedef struct HostRule_s HostRule;
struct HostRule_s
{
  int id;
  char *host;
  int rtype;	
  time_t t_create;
  int param;
  char *message;
  HostRule *hnext;
};

typedef int (*HostAction)(IRC_User *u, HostRule *hr);

typedef struct HostRuleType_s HostRuleType;
struct HostRuleType_s
{
  char *str;
  int rtype;
  HostAction action;
};

typedef struct HostRecord_s HostRecord;
struct HostRecord_s
{
  char host[HOSTLEN];
  int count;
  int limit;
  int limit_hits;
  HostRecord *hnext;
};

HostRecord* CreateHR(char *host);

/* Set a hostrule action for a given type */
void set_hostrule_action(int rtype, HostAction action);

/* add an host rule */
int add_hostrule(char *host, int rtype, int duration, char *message);

/* del an host rule */
int del_hostrule(int rtype, int id);

/* retruns next host rule that matches */
HostRule* next_hostrule(IRC_User *u, int start);

/* return host tule */
HostRule* get_hostrule(int rtype, int first);

/* read hostrules from db */
void hostrules_init(void);
int db_insert_hostrule(HostRule* hr);
int db_read_hostrules(HostRule** hlist);

#endif  /* _HOST_RULES_H_ */
